<?php
namespace App\Controller;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

use App\Templates;
use App\Exception;

class BranchController {
    
    private $branchService;

    public function __construct (\App\Service\BranchService $branchService) {
        $this->branchService = $branchService;
    }
    
    public function getBranchData(Request $request, Response $response) {
        try {
            $params = $request->getParsedBody();
            $cdFilial   = $params['branchId'];
			$data = $this->branchService->getBranchData($cdFilial);

            return $response->withJson($data);
		} catch (\Exception $e) {
			return $response->withStatus(400)->withJson([
                'success'      => false, 
                'errorMessage' => $e->getMessage()
            ]);
		}
    }
}